Subject: bug#15001: 24.3.50; Help menubar with mouse left-click on Snow Leopard --with-ns.

From: Jan Djärv <[email-masked]>
Date: Tue, 13 Aug 2013 22:12:17 +0200

Hello.

I still can't reproduce it.  Do you use a mouse or a trackpad on a laptop?  Have you customized the mouse in any way (gestures, double/triple click)?.

	Jan D.

12 aug 2013 kl. 21:04 skrev Keith David Bershatsky <[email-masked]>:

> 
> Step 1:  Build an EmacsTrunk --with-ns on OSX 10.6.8 and use it with OSX 10.6.8:
> 
>     The application I am presently using was built from scratch yesterday morning -- i.e., all prior versions were deleted from my system, and then I downloaded a fresh emacs-trunk using the following command line:
> 
>     /macports/bin/bzr branch --stacked bzr://bzr.savannah.gnu.org/emacs/trunk emacs-trunk
> 
>     Then, just in case there were any revisions, I did a pull:   (/macports/bin/bzr pull).  I received a message telling me there were no revisions.
> 
>     ./autogen.sh
> 
>     ./configure --with-ns
> 
>     make bootstrap
> 
>     make && make install
> 
>     In GNU Emacs 24.3.50.1 (x86_64-apple-darwin10.8.0, NS apple-appkit-1038.36)
>     of 2013-08-11 on MP.local
>     Bzr revision: 113798 [email-masked]
>     Windowing system distributor `Apple', version 10.3.1038
>     Configured using:
>     `configure --with-ns'
> 
> Step 2:  With no .emacs file in my home directory, and with an empty .emacs.d directory, open the graphical user interface version of Emacs Trunk revision 113798.
> 
> Step 3:  Move the mouse over to the word Help on the Emacs menu-bar and press the left-click one time and release -- this activates (mouse-drag-region START-EVENT).  The mose-drag-region is system wide and any window the mouse comes in contact with will be dragged.  The Help menu does not appear with only one left click.  In order to get the Help menu to appear, it is necessary to press and release the mouse left click a total of two times.
> 
> Keith
> 
> 
> ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
> 
> At Mon, 12 Aug 2013 07:54:38 +0200,
> Jan Djärv wrote:
>> 
>> Hello.
>> 
>> Don't remove the debbugs address.
>> Do a bzr up.
>> and rebuild.
>> Make sure you start with emacs -Q.
>> Also check that the running Emacs is built from bzr revision 113798 or later, by doing
>> M-x report-emacs-bug, and a bit down you should be able to see somthing like:
>> 
>> In GNU Emacs 24.3.50.1 (x86_64-apple-darwin12.4.0, NS apple-appkit-1187.39)
>> of 2013-08-11 on zeplin
>> Bzr revision: 113798 [email-masked]
>> 
>> On OXS 10.6.8, step 3 never happens for me, i.e. the mouse don't get stuck, the help menu appears.  Does the menu appear for you?
>> 
>> 	Jan D.
>> 
>> 11 aug 2013 kl. 21:55 skrev Keith David Bershatsky <[email-masked]>:
>> 
>>> Jan:
>>> 
>>> Just a follow-up with a screenshot to confirm I have the revision of 113796, however, OSX 10.6.8 still suffers from activation of (mouse-drag-region START-EVENT) when using steps 1 to 4:
>>> 
>>> 
>>>> Step 1:  Using OSX 10.6.8 (Snow Leopard), open the latest version of Emacs Trunk (--with-ns) -- Version 24.3.50 (9.0).  No special settings of any kind.
>>>> 
>>>> Step 2:  Move the mouse over the word "Help" on the menu bar and press the left click one time and release.
>>>> 
>>>> Step 3:  Move the mouse downward towards the bottom of the screen, and the mouse appears to be stuck momentarily -- (just about one second, it appears to stutter trying to free itself, and then it gets unstuck)
>>>> 
>>>> Step 4:  When the mouse frees itself up from Step 3, continue moving the mouse downward a few inches and then press the left click one time and release.  The entire frame moves downward, as if the user were attempting to drag/move the entire frame.  However, the mouse was only clicked one time in step 2 and then released -- so drag / move the frame should not be occurring.
>>> 
>>> Thanks,
>>> 
>>> Keith
>>> ---------------------------------------
>>> 
>>> On Aug 11, 2013, at 11:57 AM, Jan Djärv wrote:
>>> 
>>>> Hello.
>>>> 
>>>> 11 aug 2013 kl. 19:50 skrev Keith David Bershatsky <[email-masked]>:
>>>> 
>>>>> Dear Jan:
>>>>> 
>>>>> Is it possible your latest commit of the bug fix hasn't been uploaded to the Trunk yet?  The bug is still linked to (mouse-drag-region START-EVENT) when I use the procedure outlined below.  I did a C-h k and that is what came up when I got to step 4.  I just built a new Emacs Trunk, and that was the result I received.
>>>> 
>>>> What bzr revno do you have? The fix is in 113796, the tip is now 113798.  If you are using a git mirror, I can't help you, I don't know when they get updated.
>>>> 
>>>> 	Jan D.
>>>> 
>>> <Screen shot 2013-08-11 at 12.51.49 PM.png>
>>